%Projekt: RocketSim

%Funktion ermittleFlugdaten
%Berechnet aus dem Differentialgleichungs-
%Loesungsvektor saemtliche brauchbaren Daten
function daten = ermittleFlugdaten(y, ma)
    daten.vx = y(2);
    daten.vy = y(4);

    daten.sx_erde = y(1);
    daten.sy_erde = y(3);
    daten.h_erde = sqrt(daten.sx_erde^2 + daten.sy_erde^2);
   
    daten.sx_mond = ma - daten.sx_erde;
    daten.sy_mond = daten.sy_erde;
    
    daten.h_mond = sqrt(daten.sx_mond^2 + daten.sy_mond^2);
    
    daten.v_res  = sqrt(daten.vx^2 + daten.vy^2);
    
end